/*
 *  Draco Econometrics
 *  Copyright (C) 2006-2008 Approximatrix, LLC
 *  http://www.approximatrix.com
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.approximatrix.draco.datamodel;

import static org.junit.Assert.*;

import org.junit.Test;

public class ParseDateTest {

    @Test
    public void testParseTextToDate() {
        DateObject result = ParseDate.ParseTextToDate("1/15/1980",DateObject.DAILY);
        
        assertEquals(1980,result.getYear());
        assertEquals(1,result.getMonth());
        assertEquals(15,result.getDay());

        result = ParseDate.ParseTextToDate("1:15:1980",DateObject.DAILY);
        
        assertEquals(1980,result.getYear());
        assertEquals(1,result.getMonth());
        assertEquals(15,result.getDay());

        result = ParseDate.ParseTextToDate("January 15, 1980",DateObject.DAILY);
        
        assertEquals(1980,result.getYear());
        assertEquals(1,result.getMonth());
        assertEquals(15,result.getDay());

        result = ParseDate.ParseTextToDate("37/1980",DateObject.WEEKLY);
        
        assertEquals(1980,result.getYear());
        assertEquals(37,result.getWeek());

        result = ParseDate.ParseTextToDate("3/1980",DateObject.QUARTERLY);
        
        assertEquals(1980,result.getYear());
        assertEquals(3,result.getQuarter());
       
        result = ParseDate.ParseTextToDate("Mar 1980",DateObject.MONTHLY);
        
        assertEquals(1980,result.getYear());
        assertEquals(3,result.getMonth());

    }

}
